#ifndef _LINUX_STDDEF_H
#define _LINUX_STDDEF_H

#ifndef _PTRDIFF_T
#define _PTRDIFF_T
typedef long int ptrdiff_t;
#endif

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned int size_t;
#endif

#ifndef _NULL
#define _NULL
#define NULL ((void *)0)
#endif

#ifndef _OFFSETOF
#define _OFFSETOF
#define offsetof(TYPE, MEMBER) ((size_t) &((TYPE *)0)->MEMBER)
#endif

#ifndef _WCHAR_TYPE_
#define _WCHAR_TYPE_
typedef int wchar_t;
#endif

#ifndef _WINT_TYPE_
#define _WINT_TYPE_
typedef unsigned int wint_t;
#endif

#endif
