#include <linux/proc_fs.h>
#include <asm/segment.h>
#include <asm/hardware.h>

int aplio_md_detect(char *buf, char **start, off_t offset, int len, int unused){
	int model=GET_MODEL();
	put_user((char)model, &buf[0]);
	put_user((char)(model>>8), &buf[1]);
	put_user((char)(model>>16), &buf[2]);
	put_user((char)(model>>24), &buf[3]);
	return 4;
}

struct proc_dir_entry apliomd_proc_entry = {
	0,					/* dynamic inode */
	7, "apliomd",		/* name length and name */
	S_IFREG | S_IRUGO,	/* mode */
	1,0,0,				/* nlinks, owner, group */
	0,					/* size unused */
	NULL,				/* default operations */
	&aplio_md_detect,	/* function used to read */
};
