#include <linux/proc_fs.h>
#include <asm/segment.h>
#include <asm/hardware.h>


int aplio_get_sn(char *buf, char **start, off_t offset, int len, int unused){
	char snbuf[11];
	int i;
	struct ctrlBlk *p = GET_CTRL_BLK();
	sprintf(snbuf,"%lu",p->sn);
	for(i=0; i<strlen(snbuf); i++){
		if (snbuf[i]==0)
			break;
		put_user(snbuf[i],&buf[i]);
	}
	return (i);
}

struct proc_dir_entry apliosn_proc_entry = {
	0,					/* dynamic inode */
	7, "apliosn",		/* name length and name */
	S_IFREG | S_IRUGO,	/* mode */
	1,0,0,				/* nlinks, owner, group */
	0,					/* size unused */
	NULL,				/* default operations */
	&aplio_get_sn,		/* function used to read */
};
