/*
 * Copyright (C) <2001-2008> <Funkwerk Enterprise Communications GmbH> 
 * Written by Juergen Selent (juergen.selent@funkwerk-ec.com)
 *
 * hardware.h
 * ----------
 *
 * $RCSfile: hardware.h,v $
 * $Source: /opt/funkwerk/cvsroot/source/linux/uclinux2.0.38/include/asm-armnommu/arch-p2001/hardware.h,v $
 * $Author: jselent $
 * $Revision: 1.2 $
 * $Date: 2008-05-16 15:47:14 $
 * $State: Exp $
 * $Name:  $
 *
 * $Log: hardware.h,v $
 * Revision 1.2  2008-05-16 15:47:14  jselent
 * CHG: copyright info
 *
 * Revision 1.1  2002-08-06 12:36:20  selent
 * imported
 *
 * Revision 1.2  2002/02/14 15:37:54  selent
 * *** empty log message ***
 *
 * Revision 1.1.1.1  2001/12/07 16:19:28  selent
 * the new source tree
 *
 * Revision 1.1.1.1  2001/10/23 17:36:40  goesche
 * Vorlaeufiger Linux-Entwicklungsbaum
 *
 * Revision 1.5  2001/09/11 15:28:57  juergen
 * added P2001 ethernet driver
 *
 * Revision 1.4  2001/09/04 15:59:04  juergen
 * cleanup
 *
 * Initial Version	Tue Sep  4 14:48:27 CEST 2001
 * Written
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License. 
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS * FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details. 
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <http://www.gnu.org/licenses/>. 
 * 
 *
 * DISCLAIMER OF WARRANTY 
 *
 * THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY 
 * APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE 
 * COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" 
 * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, 
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY 
 * AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM 
 * PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, 
 * REPAIR OR CORRECTION. 
 *  
 * LIMITATION OF LIABILITY 
 *
 * IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING 
 * WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR 
 * CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR 
 * DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL 
 * DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM 
 * (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED 
 * INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF 
 * THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH 
 * HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGES. 
 */

#ifndef _INC_hardware_h_
#define _INC_hardware_h_

#include "bsp.h"

#if !defined(_ASMLANGUAGE) && !defined(__ASSEMBLER__)

/*
 * RAM definitions
 */
#define MAPTOPHYS(a)		((unsigned long)a)
#define KERNTOPHYS(a)		((unsigned long)(&a))
#define GET_MEMORY_END(p)	(SDRAM_BASE_ADDR + \
				(p->u1.s.page_size) * (p->u1.s.nr_pages))
#define PARAMS_BASE		LINUX_PARAMS_ADDR
#define HARD_RESET_NOW()	{ arch_hard_reset(); }
#endif	/* _ASMLANGUAGE */

#endif	/* _INC_hardware_h_ */
